# Retrieve_Certificate

Retrieve a certificate.

`GET /v2/certificates/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Certificates
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Certificates/Retrieve_Certificate/

## Description

Retrieve a certificate.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the certificate object to get. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CertificateResponse` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CertificateResponse`

Certificate Response Model

| Property | Type | Required | Description |
|---|---|---|---|
| `actual_tax_code` | object[] | No | The actual tax code of the certificate. |
| `anonymous_customer_id` | integer | No | The id of the anonymous customer who created this certificate, if applicable. Example: `23`. |
| `barcode_read` | boolean | No | Used to indicate if this certificate contains a barcode for the system to read. Example: `false`. |
| `business_number` | integer | No | business number associated with certificate. Example: `123`. |
| `business_number_type` | string | No | From the SST form, the purchaser's type of business selected Example: `Retail Trade`. |
| `calc_id` | integer | No | id associated with calc account. Example: `1`. |
| `certificate_number` | string | No | The certificate number. Example: `123`. |
| `client_id` | integer | No | The system generated company id. Example: `10327`. |
| `communication_id` | integer | No |  Example: `1`. |
| `created` | string | No | DateTime of when the record was created. Example: `2017-10-26 12:41:48.377959`. |
| `document_type` | object[] | No | Designates the document type. |
| `exempt_reason_description` | string | No | From the SST form, reason for exemption selected. Example: `Resale`. |
| `exmpt_percent` | number | No | The percentage that this certificate will exempt. Example: `100`. |
| `expected_tax_code` | object[] | No | The expected tax code of the certificate. |
| `expiration_date` | string | No | Date of when the record expires. Example: `2017-10-26`. |
| `exposure_zone` | ExposureZone | No |  |
| `filename` | string | No | The certificate file name that was uploaded. Example: `123123.pdf`. |
| `id` | integer | No | System Generated Certificate id. Example: `1`. |
| `is_single` | boolean | No | Designates if certificate is single. Example: `true`. |
| `legacy_certificate_id` | string | No |  Example: `12345`. |
| `location_id` | integer | No | The id of the location, if applicable, where this certificate was generated. Example: `8`. |
| `modified` | string | No | DateTime of when the record was modified. Example: `2017-10-26 12:41:48.377959`. |
| `never_renew` | boolean | No | Designates if a certificate can be renewed. Example: `false`. |
| `page_count` | integer | No | number of pages certificates contains. Example: `1`. |
| `renewable` | boolean | No | Designates if a certificate can be renewed. Example: `true`. |
| `s3_document_exists` | boolean | No | Designates if certificate exists in s3. Example: `true`. |
| `signed_date` | string | No | Date of when the record was signed. Example: `2017-10-31`. |
| `sst_metadata` | string | No | The SST data collected |
| `status` | object[] | No | Status of the certificate. |
| `tax_number` | string | No | The tax number used on the certificate. Example: `89898`. |
| `tax_number_type` | string | No | The type of tax number used on the certificate. Example: `12345`. |
| `unused_multi_cert` | boolean | No |  Example: `false`. |
| `valid` | boolean | No | Designates if a certificate is valid. Example: `true`. |
| `verification_number` | string | No | The verification number used for the certificate. Example: `89898`. |
| `verified` | boolean | No | Designates if a certificate has been verified. Example: `false`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/certificates/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```